void HDC1600Initial()
{
       int p,p1,p2;

	writei(0x2c); 		// Standby Mode Off


	writei(0x24);		// DC/DC Clock Freq. Set
	writei(0x03);		//  00 : inital DC/DC Clock Input

	writei(0x36);		// Main Clock Frequency Set (90Hz)
	writei(0x12);		//	1A : 1.2 + (0.025 * 1AH) = 1.85MHz
						//  Frame Rate : 1/ (128*160*(1/1.85M)) = 90Hz


	// Lost Part //
	writei(0x02);		// Oscillation Mode Set
	writei(0x05);		//  05 : Internal DCDC Clock input
						//		 Internal DCDC Oscillator ON
						//		 Internal Main clock input
						//		 Internal Oscillator ON

	// Lost Part End //

	writei(0x2A);		// Contrast Control1 : EVOLS1 (Incase of 8A: 1.449V)
	writei(0x50);		//  8A : EVOLS1 = 1.449V(1.035 + 8AH * 0.003 = 1.449)

	writei(0x29);		// Contrast Control3 : EVOLC
	writei(0x00);		//  00 : EVOLC = EVOLS1

	writei(0x46);		// Bias Set
	writei(0x07);		//  07 : 1/12 Bias

	writei(0x22);		// Boosting Coefficient Set
	writei(0x06);		//  0x06 : 6 Times Boosting

	writei(0x28);		// Temperature Compensation Set ( In Case of 0.00% )
	writei(0x00);		//  0x00 : 0.00%

        writei(0x10);
        writei(0x24);

	writei(0x2F);		// DDRAM Burst Mode ON



        writei(0x40);
        writei(0x00);

	writei(0x66);		// Common Scan Mode Set (user Selection)

	writei(0x26);		// DC/DC and AMP On/Off Set
	writei(0x0F);		//  0F : AMP On, DC/DC1,2,3 On

	writei(0x43);		// X Address Area Set
	writei(0x00);		//  00 : X Start Address
	writei(0x7F);		//  7F : Y End Address

	writei(0x42);		// X Address Area Set
	writei(0x00);		//  00 : X Start Address
	writei(0x9F);		//  9F : Y End Address

        writei(0x53);
        writei(0x00);

        writei(0x55);
        writei(0x00);
        writei(0x5C);		// MPE Mode Off

        writei(0x68);
        writei(0x00);

        writei(0x6A);
        writei(0x00);
        writei(0x00);

      	p =6;  //red
	p1 =0; //blue
	p2 =0; //green

 // RED
	writei(0x70);

	writei(0);
	writei(10+p);
	writei(18+p);
	writei(24+p);
	writei(28+p);
	writei(32+p);
	writei(35+p);
	writei(38+p);
	writei(41+p);
	writei(44+p);

	writei(47+p);
	writei(50+p);
	writei(53+p);
	writei(56+p);
	writei(59+p);
	writei(62+p);
	writei(65+p);
	writei(68+p);
	writei(71+p);
	writei(74+p);

	writei(77+p);
	writei(80+p);
	writei(83+p);
	writei(86+p);
	writei(89+p);
	writei(92+p);
	writei(95+p);
	writei(99+p);
	writei(103+p);
	writei(109+p);

	writei(117+p);
	writei(127);

// BLUE
	writei(0x72);

	writei(0);
	writei(10+p1);
	writei(18+p1);
	writei(24+p1);
	writei(28+p1);
	writei(32+p1);
	writei(35+p1);
	writei(38+p1);
	writei(41+p1);
	writei(44+p1);

	writei(47+p1);
	writei(50+p1);
	writei(53+p1);
	writei(56+p1);
	writei(59+p1);
	writei(62+p1);
	writei(65+p1);
	writei(68+p1);
	writei(71+p1);
	writei(74+p1);

	writei(77+p1);
	writei(80+p1);
	writei(83+p1);
	writei(86+p1);
	writei(89+p1);
	writei(92+p1);
	writei(95+p1);
	writei(99+p1);
	writei(103+p1);
	writei(109+p1);

	writei(117+p1);
	writei(127);

// GREEN
	writei(0x71);

	writei(0);
	writei(5+p2);
	writei(10+p2);
	writei(14+p2);
	writei(18+p2);
	writei(21+p2);
	writei(24+p2);
	writei(26+p2);
	writei(28+p2);
	writei(30+p2);

	writei(32+p2);
	writei(34+p2);
	writei(35+p2);
	writei(37+p2);
	writei(38+p2);
	writei(40+p2);
	writei(41+p2);
	writei(43+p2);
	writei(44+p2);
	writei(46+p2);

	writei(47+p2);
	writei(49+p2);
	writei(50+p2);
	writei(52+p2);
	writei(53+p2);
	writei(55+p2);
	writei(56+p2);
	writei(58+p2);
	writei(59+p2);
	writei(61+p2);

	writei(62+p2);
	writei(63+p2);
	writei(64+p2);
	writei(65+p2);
	writei(67+p2);
	writei(68+p2);
	writei(70+p2);
	writei(71+p2);
	writei(73+p2);
	writei(74+p2);

	writei(76+p2);
	writei(77+p2);
	writei(79+p2);
	writei(80+p2);
	writei(82+p2);
	writei(83+p2);
	writei(85+p2);
	writei(86+p2);
	writei(88+p2);
	writei(89+p2);

	writei(91+p2);
	writei(92+p2);
	writei(94+p2);
	writei(95+p2);
	writei(97+p2);
	writei(99+p2);
	writei(101+p2);
	writei(103+p2);
	writei(106+p2);
	writei(109+p2);
	writei(113+p2);
	writei(117+p2);
	writei(121+p2);  //122
	writei(127);

	writei(0x51);		// Display On
}